package org.josast.ModuleSatelliteDatabase;

public abstract class FlatSatellite {
	
	 protected  String satelliteName;
	 protected String satelliteStatus;
	 protected int satelliteNoradId;
	 protected  String satelliteUplinkFrequency;
	 protected String satelliteDownlinkFrequency;
	 protected String satelliteBeaconFrequency;
	 protected String satelliteBeaconMode;
	 protected String satellitebeaconCallsign;
	 protected String reports;
	 protected String info;
	 protected String TelemetryDecode;
	 protected boolean IARUCoordination;
	 
	 
	public String getSatelliteName() {
		return satelliteName;
	}
	public void setSatelliteName(String satelliteName) {
		this.satelliteName = satelliteName;
	}
	public String getSatelliteStatus() {
		return satelliteStatus;
	}
	public void setSatelliteStatus(String satelliteStatus) {
		this.satelliteStatus = satelliteStatus;
	}
	public int getSatelliteNoradId() {
		return satelliteNoradId;
	}
	public void setSatelliteNoradId(int satelliteNoradId) {
		this.satelliteNoradId = satelliteNoradId;
	}
	public String getSatelliteUplinkFrequency() {
		return satelliteUplinkFrequency;
	}
	public void setSatelliteUplinkFrequency(String satelliteUplinkFrequency) {
		this.satelliteUplinkFrequency = satelliteUplinkFrequency;
	}
	public String getSatelliteDownlinkFrequency() {
		return satelliteDownlinkFrequency;
	}
	public void setSatelliteDownlinkFrequency(String satelliteDownlinkFrequency) {
		this.satelliteDownlinkFrequency = satelliteDownlinkFrequency;
	}
	public String getSatelliteBeaconFrequency() {
		return satelliteBeaconFrequency;
	}
	public void setSatelliteBeaconFrequency(String satelliteBeaconFrequency) {
		this.satelliteBeaconFrequency = satelliteBeaconFrequency;
	}
	public String getSatelliteBeaconMode() {
		return satelliteBeaconMode;
	}
	public void setSatelliteBeaconMode(String satelliteBeaconMode) {
		this.satelliteBeaconMode = satelliteBeaconMode;
	}
	public String getSatellitebeaconCallsign() {
		return satellitebeaconCallsign;
	}
	public void setSatellitebeaconCallsign(String satellitebeaconCallsign) {
		this.satellitebeaconCallsign = satellitebeaconCallsign;
	}
	public String getReports() {
		return reports;
	}
	public void setReports(String reports) {
		this.reports = reports;
	}
	public String getInfo() {
		return info;
	}
	public void setInfo(String info) {
		this.info = info;
	}
	public String getTelemetryDecode() {
		return TelemetryDecode;
	}
	public void setTelemetryDecode(String telemetryDecode) {
		TelemetryDecode = telemetryDecode;
	}
	public boolean isIARUCoordination() {
		return IARUCoordination;
	}
	public void setIARUCoordination(boolean iARUCoordination) {
		IARUCoordination = iARUCoordination;
	}
	 

	 

}
